%global dlrn_nvr osc-placement-2.2.0-1.20220727235707.f7640c9
%global dlrn 1
%define upstream_version 2.2.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global library osc-placement
%global module osc_placement
%global with_doc 0

Name:       python-%{library}
Version: 2.2.0
Release: 1.20220727235707.f7640c9%{?dist}
Summary:    OpenStackClient plugin for the Placement service
License:    ASL 2.0
URL:        https://github.com/openstack/osc-placement

Source0: osc-placement-2.2.0-1.20220727235707.f7640c9.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=f7640c9efad0715c4cd36f88897b1732aa689488

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        http://tarballs.openstack.org/%{library}/%{library}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
OpenStackClient plugin for the Placement service

This is an OpenStackClient plugin, that provides CLI for the Placement service.
Python API binding is not implemented - Placement API consumers are encouraged
to use the REST API directly, CLI is provided only for convenience of users.

%package -n python3-%{library}
Summary:    OpenStackClient plugin for the Placement service
%{?python_provide:%python_provide python2-%{library}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-setuptools
BuildRequires:  git-core

BuildRequires:  python3-mock
BuildRequires:  python3-oslotest
BuildRequires:  python3-subunit
BuildRequires:  python3-testrepository
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-keystoneauth1 >= 3.3.0
BuildRequires:  python3-openstackclient
BuildRequires:  python3-osc-lib >= 1.2.0
BuildRequires:  python3-stestr
BuildRequires:  python3-oslo-utils >= 3.37.0

Requires:   python3-pbr >= 2.0.0
Requires:   python3-six >= 1.10.0
Requires:   python3-keystoneauth1 >= 3.3.0
Requires:   python3-osc-lib >= 1.2.0
# We currently don't have 3.16.0, so setting >= 3.10.0
Requires:   python3-simplejson >= 3.16.0
Requires:   python3-oslo-utils >= 3.37.0

%description -n python3-%{library}
OpenStackClient plugin for the Placement service.

This is an OpenStackClient plugin, that provides CLI for the Placement service.
Python API binding is not implemented - Placement API consumers are encouraged
to use the REST API directly, CLI is provided only for convenience of users.


%package -n python3-%{library}-tests
Summary:    OpenStackClient plugin for the Placement service tests
Requires:   python3-%{library} = %{version}-%{release}

Requires:   python3-mock
Requires:   python3-oslotest
Requires:   python3-subunit
Requires:   python3-testrepository
Requires:   python3-stestr
Requires:   python3-openstackclient

%description -n python3-%{library}-tests
OpenStackClient plugin for the Placement service tests

This package contains the test files.


%if 0%{?with_doc}
%package -n python-%{library}-doc
Summary:    OpenStackClient plugin for the Placement service documentation

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme
BuildRequires: python3-cliff

%description -n python-%{library}-doc
OpenStackClient plugin for the Placement service.

This package contains the documentation.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{library}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
sphinx-build -W -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
export PYTHON=%{__python3}
stestr-3 run

%files -n python3-%{library}
%license LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-*.egg-info
%exclude %{python3_sitelib}/%{module}/tests

%files -n python3-%{library}-tests
%license LICENSE
%{python3_sitelib}/%{module}/tests

%if 0%{?with_doc}
%files -n python-%{library}-doc
%license LICENSE
%doc doc/build/html README.rst
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.2.0-1.20220727235707.f7640c9
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 2.2.0-0.20220712142039.f7640c9
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.2.0-0.20210527234432.f7640c9
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.2.0-1
- Update patches

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove unicode from code
- remove unicode from code
- Add to functional-py38 test to check/gate

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove six.PY3
- tox: Trivial cleanup
- tox: Add functional-pyNN targets
- trivial: Fix formatting of command help texts
- Update command help information
- Remove Babel
- Use unittest.mock instead of third party mock
- Switch to newer openstackdocstheme and reno versions
- Fix hacking min version to 3.0.1
- Cleanup py27 support
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Provide a useful message in case of 5xx error

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve tests for warning messages
- Remove redundant functional-py3* tox environments
- [ussuri][goal] Drop python 2.7 support and testing

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Follow up to I627bfd1ff699d075028da6afafbe7fb9b2f13058
- Add support for microversion 1.28 in allocation set
- Add resource provider allocation unset command
- Fix deps for using venv tox target to create a release note
- Merge "Update master for stable/train"
- Merge "gitignore: Ignore .stestr directory"
- Merge "docs: Misc cleanups"
- Merge "Fixups for pdf docs"
- gitignore: Ignore .stestr directory
- docs: Misc cleanups
- Fixups for pdf docs
- Merge "Be explicit about auth type in functional tests"
- Merge "Build pdf docs"
- Be explicit about auth type in functional tests
- Merge "Update osc-placement bug link in README"
- Use os-endpoint instead of os-url for functional tests
- Update master for stable/train
- Build pdf docs
- Update osc-placement bug link in README

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


